/*
% if femdk:
 * This file is a part of FEMDK, a Finite Element Method Development Kit.
 * FEMDK provides utilities of developing simulation codes base on various 
 * variants of finite element method.
 *
 * Project web page: https://femdk.l5.pk.edu.pl/femdk
% endif
 * 
 * Copyright (c) ${year} ${owner} 
 * 
% if license == 'BSD':
 * This file is distributed on "Simplified BSD License" as approved by 
 * the OSI Board. For licensing terms see LICENSE.BSD file distributed 
 * with this file.
% endif
 */

/*
 * Author: ${author} <${email}>
 * Created: ${date}
 * Modified by:
 */

/** 
 *  FIXME : describe the purpose of this file here
 */

#include <cppunit/extensions/HelperMacros.h>

% if femdk:
namespace femdk {
% endif

class ${testClass} : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE( ${testClass} );
  CPPUNIT_TEST( testSomething ); 
  CPPUNIT_TEST_SUITE_END(); 
  public:
   
    /* The setUp method will called before each test. If you do not know what
     * put in this method you can safely delete it.
     */
    void setUp() { }  

    /* The tearDown method will be called after each test. If you do not know
     * what to put in this method you can safely delete it. */
    void tearDown() { }

    void testSomething();
};
CPPUNIT_TEST_SUITE_REGISTRATION( ${testClass} );

void ${testClass}::testSomething() {
  /* Put here your test code */
  CPPUNIT_ASSERT( 1 == 1);
}

% if femdk:
} /* namespace femdk */
% endif
